Post a command for creation and queuing

Provided an MDM command type and appropriate information, will create and then queue said command. A separate privilege is required for each device type and MDM command you want to view or send.

Required Permissions: one of the following, depending on the request:

  • destructive-device-actions:execute: commandType is ERASE_DEVICE, DEVICE_LOCK or DELETE_USER
  • local-admin-passwords:execute: commandType is SET_AUTO_ADMIN_PASSWORD
  • recovery-lock:execute: commandType is SET_RECOVERY_LOCK
  • device-actions:execute: any other commandType
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The mdm command object to create and queue

clientData
array of objects
clientData
commandData
Headers
uuid
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The tenant UUID identifier. Send it to address tenant scope. This API is also published at environment scope — send that scope's header instead. Send exactly one scope header per request.

uuid
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The environment UUID identifier. Send it to address environment scope. This API is also published at tenant scope — send that scope's header instead. Send exactly one scope header per request.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json